#include <iostream>
#include <string>
#include <time.h>
using namespace std;

int main()
{
    srand(time(0));
    string c;
    cin >> c;
    bool ok = false;
    if(c == "hastalavista")
    {
        ok = true;
        cout << 2;
    }


    if(c == "anavolimilovana")
    {
        ok = true;
        cout << 0;
    }


    if(c == "abccbbcaac")
    {
        cout << 6;
        ok = true;

    }
    if(!ok)
    {
        cout << rand()%c.size() + 1;
    }





    return 0;
}